﻿using UnityEngine;
using System.Collections;

public class NavMeshController : MonoBehaviour {

	NavMeshAgent agent;
	// Use this for initialization
	void Start () {
		agent = GetComponent<NavMeshAgent> ();
	}


	float scalebig=82.14673f;
	float scalesmall=15.62286f;
	float heightbig=-2.3829f;
	float heightsmall=3.36f;

    public float speed=3.0f;
	// Update is called once per frame
	void Update () {
		if (Input.GetKeyDown (KeyCode.Escape)) {
			Application.LoadLevel("TitleScene");
		}
		var h = Input.GetAxis("Horizontal");
		var v = Input.GetAxis("Vertical");
		var directionVector = new Vector3 (v, 0, -h);
		if (directionVector.magnitude > 1) {
			directionVector /= directionVector.magnitude;				
		}
		agent.velocity = speed*directionVector;
    }
    
}
